CiderWebmail::Controller::Message(3pm)

NAME
CiderWebmail::Controller::Message - Catalyst Controller

DESCRIPTION
Catalyst Controller.

METHODS

  setup
Gets the selected message from the URI path and sets up the stash.

  view

  download attachment

  render part

  download header

  view_source

  toggle_important
toggle the important/flagged IMAP flag, send the new flag icon to the client.

  delete
Move a message to the trash (if available) or delete a message from the trash.

  move
Move a message to a different folder

  compose
Compose a new message for sending

  reply
Reply to a message suggesting receiver, subject and message text

  forward
Forward a mail as attachment

  send
Send a mail

AUTHOR
,,,

LICENSE
This library is free software, you can redistribute it and/or modify it under the same terms as Perl itself.